package com.yinuo.commonlib.utils

import android.content.Context

object DisplayUtils {

    fun dp2px(context: Context, dpVale: Float): Int {
        val density = context.resources.displayMetrics.density
        return ((dpVale * density + 0.5f).toInt())
    }

    fun px2dp(context: Context, pxVale: Float): Int {
        val density = context.resources.displayMetrics.density
        return ((pxVale / density + 0.5f).toInt())
    }
}